
//v0: xyzw:WorldPos
//v1: xy:NormalUV, zw:MaskUV
//v2: xyzw:ScreenPos


//@vs
///////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef V_SHADER

void main () 
{	
	float3 wP = (matW * POS0).xyz;					//world pos
	float4 sP = (matVP * float4(wP, 1.0));	//screen pos

	float dist = calc_distance (EyePos, wP);
	float fog = get_dis_alpha (dist, FogNear, FogFar);
	float2 UV = (wP.xy / 100.0);

	float3 diff = float3(Ambient, Ambient, Ambient) + (SunColor * CLR1.w) + (ShwColor.xyz * ShwColor.w * pow((1.0 - CLR1.w), 1.0));
	diff += (CLR1.xyz * 5.0 * LitIntensity);
	diff *= (CLR0.xyz);// * 5.0);

	vs_out_p = sP;
	vs_out_0 = float4 (diff, fog);//SandColor.w*fog);
	vs_out_1.xy = UV * UV0Mul;
	//vs_out_1.zw = UV * 0.885;//UV1Mul;

}

#endif


//@ps
///////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef P_SHADER

#define DiffColor				ps_in_0
#define TileUV0					ps_in_1.xy
#define TileUV1					ps_in_1.zw
#define LavaColor				ps_in_2

void main () 
{ 
#ifdef sd_General
	float4 texD0 = texture2D (c_samp0, TileUV0);	//first + splatting
	//float4 texD1 = texture2D (c_samp1, TileUV1);	//second
	//float4 texD = lerp (texD0, texD1, FresnelRatio);
	//float4 texD = lerp (texD0, texD1, texD0.w);
	//float4 texD = texD0;//lerp (texD0, texD1, 0.5);

	ps_out_c = float4 (texD0.xyz*DiffColor.xyz, DiffColor.w);
	//ps_out_c = float4 (DiffColor.xyz, DiffColor.w);

#endif
}

#endif






